GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
Get B2B InvoicesGET
Get B2BA InvoicesGET
CDN InvoiceGET
Get CDNA InvoicesGET
Get IMPGGET
Get IMPGSEZGET
Get TCSGET
Get TDS CreditGET
Get AMDHISTGET
Get ECOM InvoicesGET
Get ECOMA InvoicesGET
Get ISD DetailsGET
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Ledger
e-Invoice
Notices

GSTR-2A Amended E-Commerce Invoices (ECOMA)

GEThttps://apisandbox.whitebooks.in/gstr2a/ecoma

Getting all ECOMA invoices for a return period.

Parameters

query parameters
emailstringrequired
Email
gstinstringrequired
GSTIN of the taxpayer
retperiodstringrequired
Return Period format MMYYYY
ctinstringoptional
CTIN of the taxpayer
header parameters
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP GET to /gstr2a/ecoma. Required parameters: email (query parameter), gstin (query parameter), retperiod (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.
For Get ECOMA Invoices (GET /gstr2a/ecoma), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Getting all ECOMA invoices for a return period.
GET/gstr2a/ecoma
1const response = await fetch('https://apisandbox.whitebooks.in/gstr2a/ecoma?email=value&gstin=value&retperiod=value&ctin=value', {
2 method: 'GET',
3 headers: {
4 gst_username: "value",
5 state_cd: "value",
6 ip_address: "value",
7 txn: "value",
8 client_id: "value",
9 client_secret: "value"
10},
11});
12
13const data = await response.json();
14console.log(data);
No example available.